/*
** Copyright (C) 2009 Patrick Kirchhof, Kevin Suske and Pasqual Dhring
** 
** This file is part of GFA.
** 
** GFA is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
** 
** GFA is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with GFA.  If not, see <http://www.gnu.org/licenses/>.
** 
*/

package animator.src;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.DefaultHandler;

public class AnimatorHandler extends DefaultHandler {
	
	private AnimatorBuilder builder;
	
	/**
	 * This class handles the parsing of the xml structure and trace documents
	 */
	public AnimatorHandler() {
		builder = new AnimatorBuilder();		
	}
	
    public void startDocument() throws SAXException {
    }
    
    public void endDocument() throws SAXException {
    	// build file only after trace document has been parsed
    	if (AnimatorUtils.parseMode == AnimatorUtils.X3D_TRACE) builder.createX3DFile();
    }
    
    public void characters(char[] ch, int start, int length) throws SAXException {
    	builder.setTagValue(new String(ch,start,length));
	}
    
    public void startElement(String uri, String localName, 
            String qName, Attributes attrs) throws SAXException {
    	builder.identifyBranch(qName);
    }
    
    public void endElement(String uri, String localName, String qName) throws SAXException {
    	builder.finishBranch(qName);
    }
}